create or replace package plpdf_tk5_v2
authid current_user is
--v5.9
--
function get1Char(
  p_v2 in out nocopy varchar2,
  p_pos number
  ) return varchar2;
--
procedure strip_white(
  p_v2 in out nocopy varchar2,
  p_start in out number
  );
--
function get_next_delimiter_pos(
  p_obj in out nocopy varchar2,
  p_start number
  ) return number;  
--
function getChar(
  p_v2 in out nocopy varchar2,
  p_pos number,
  p_length number
  ) return varchar2;  
--
function read_token(
  p_obj in out nocopy varchar2,
  p_start in out number
  ) return varchar2;
--
function instr1(
  p_v2 in out nocopy varchar2,
  p_text varchar2,
  p_offset pls_integer default 1
  ) return pls_integer;
--
function get_next_textclose_pos(
  p_obj in out nocopy varchar2,
  p_start pls_integer
  ) return pls_integer;
--
procedure strip_crlf(
  p_v2 in out nocopy varchar2,
  p_start in out number
  );
--      
end plpdf_tk5_v2;
/

